### Signal

# Xdp Portal::location-updated

#### Declaration

    void
    location_updated (
      XdpPortal* self,
      gdouble latitude,
      gdouble longitude,
      gdouble altitude,
      gdouble accuracy,
      gdouble speed,
      gdouble heading,
      gchar* description,
      gint64 timestamp_s,
      gint64 timestamp_ms,
      gpointer user_data
    )

#### Description [src]

Emitted when location monitoring is enabled and the location changes.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`latitude`

  Type: `gdouble`

  The latitude, in degrees.

`longitude`

  Type: `gdouble`

  The longitude, in degrees.

`altitude`

  Type: `gdouble`

  The altitude, in meters.

`accuracy`

  Type: `gdouble`

  The accuracy, in meters.

`speed`

  Type: `gdouble`

  The speed, in meters per second.

`heading`

  Type: `gdouble`

  The heading, in degrees.

`description`

  Type: `gchar*`

  The description.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`timestamp_s`

  Type: `gint64`

  The timestamp seconds since the Unix epoch.

`timestamp_ms`

  Type: `gint64`

  The microseconds fraction of the timestamp.